ObjectType (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.generic.ObjectType,ObjectType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class ObjectType

    java.lang.Object
      |
      +--org.apache.bcel.generic.Type
            |
            +--org.apache.bcel.generic.ReferenceType
                  |
                  +--org.apache.bcel.generic.ObjectType

All Implemented Interfaces:
  java.io.Serializable

public final class ObjectType
extends ReferenceType

Denotes reference such as java.lang.String.

Version:
  $Id: ObjectType.java,v 1.1.1.1 2001/10/29 20:00:25 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Type
`BOOLEAN, BYTE, CHAR, DOUBLE, FLOAT, INT, LONG, NO_ARGS, NULL, OBJECT, SHORT, signature, STRING, STRINGBUFFER, THROWABLE, type, UNKNOWN, VOID`

Constructor Summary
`ObjectType(java.lang.String class_name)`

Method Summary
`boolean` | `accessibleTo(ObjectType accessor)` Java Virtual Machine Specification edition 2, § 5.4.4 Access Control
`boolean` | `equals(java.lang.Object type)`
`java.lang.String` | `getClassName()`
`int` | `hashCode()`
`boolean` | `referencesClass()` If "this" doesn't reference a class, it references an interface or a non-existant entity.
`boolean` | `referencesInterface()` If "this" doesn't reference an interface, it references a class or a non-existant entity.
`boolean` | `subclassOf(ObjectType superclass)`

Methods inherited from class org.apache.bcel.generic.ReferenceType
`firstCommonSuperclass, getFirstCommonSuperclass, isAssignmentCompatibleWith, isCastableTo`

Methods inherited from class org.apache.bcel.generic.Type
`getArgumentTypes, getMethodSignature, getReturnType, getSignature, getSignature, getSize, getType, getType, getType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectType

    public ObjectType(java.lang.String class_name)

Parameters:
  `class_name` - fully qualified class name, e.g. java.lang.String

Method Detail

### getClassName

    public java.lang.String getClassName()

  Returns:
    name of referenced class

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for the object.

### equals

    public boolean equals(java.lang.Object type)

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if both type objects refer to the same class.

### referencesClass

    public boolean referencesClass()

  If "this" doesn't reference a class, it references an interface or a non-existant entity.

### referencesInterface

    public boolean referencesInterface()

  If "this" doesn't reference an interface, it references a class or a non-existant entity.

### subclassOf

    public boolean subclassOf(ObjectType superclass)

### accessibleTo

    public boolean accessibleTo(ObjectType accessor)

  Java Virtual Machine Specification edition 2, § 5.4.4 Access Control

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.